{% extends "frontBase.html.twig" %}

{% block title %}
    Mes entreprises créées
{% endblock %}

{% block body %}
    <div class="wrapper image-wrapper bg-image page-title-wrapper inverse-text" data-image-src="{{ asset('style/images/art/bg3.jpg') }}">
        <div class="container inner text-center">
            <div class="space90"></div>
            <h1 class="page-title">Mon compte</h1>
            <p class="lead">Aenean lacinia bibendum nulla sed consectetur</p>
        </div>
    </div>

    <div class="wrapper light-wrapper">
        <div class="container inner">
            {% for message in app.flashes('success') %}
                <div class="row">
                    <div class="col-md-12">
                        <div class="alert alert-success">
                            {{ message }}
                        </div>
                    </div>
                </div>
                {% endfor %}

                <div class="row">
                    <div class="col-lg-4">
                        {% include 'profile/_menu.html.twig' %}
                    </div>
                    <div class="col-lg-8">
                        <div class="tab-content">
                            <div class="tab-pane" id="tab-1" style="display: block;">
                                <div class="box bg-white shadow">
                                    {% set availables = 3 - companies|length %}
                                    {% if availables > 1 %}{% set s = "s" %}{% else %}{% set s = "" %}{% endif %}
                                    <h2>Mes entreprises{% if availables > 0 %} <small style="font-size: 55%;">(vous pouvez ajouter {{ availables }} autre{{ s }})</small>{% endif %}</h2>
                                    <div class="table-responsive mb-2">
                                        <table class="table">
                                            <thead>
                                            <tr>
                                                <th>Raison sociale</th>
                                                <th>Adresse</th>
                                                <th>Actions</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            {% for company in companies %}
                                                <tr>
                                                    <td>{{ company.name }}</td>
                                                    <td>{{ company.address }}</td>
                                                    <td class="text-center"><a href="{{ path('front_company_show', {id: company.id}) }}" class="badge badge-primary"><i class="jam jam-eye"></i></a></td>
                                                </tr>
                                            {% else %}
                                                <tr>
                                                    <td class="text-center" colspan="3">Aucune entreprise ajoutée</td>
                                                </tr>
                                            {% endfor %}
                                            </tbody>
                                        </table>
                                    </div>
                                    {% if availables > 0 %}
                                        <a href="{{ path('front_company_new') }}" class="btn btn-primary">Ajouter une entreprise</a>
                                    {% endif %}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
{% endblock %}